﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 05/06/2019 12:04:22
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS opcion1;

CREATE DATABASE IF NOT EXISTS opcion1
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE opcion1;

--
-- Create table `socio`
--
CREATE TABLE IF NOT EXISTS socio (
  cod_socio int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (cod_socio)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `ejemplar`
--
CREATE TABLE IF NOT EXISTS ejemplar (
  cod_ejemplar int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (cod_ejemplar)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `presta`
--
CREATE TABLE IF NOT EXISTS presta (
  ejemplar int(11) NOT NULL,
  socio int(11) NOT NULL,
  fecha_i date DEFAULT NULL,
  fecha_f date DEFAULT NULL,
  PRIMARY KEY (ejemplar, socio)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE presta
ADD CONSTRAINT fkPrestaEjemplar FOREIGN KEY (ejemplar)
REFERENCES ejemplar (cod_ejemplar);

--
-- Create foreign key
--
ALTER TABLE presta
ADD CONSTRAINT fkPrestaSocio FOREIGN KEY (socio)
REFERENCES socio (cod_socio) ON DELETE NO ACTION ON UPDATE NO ACTION;

-- 
-- Dumping data for table socio
--
INSERT INTO socio VALUES
(1),
(2),
(3),
(4);

-- 
-- Dumping data for table ejemplar
--
INSERT INTO ejemplar VALUES
(1),
(2),
(3),
(4);

-- 
-- Dumping data for table presta
--
INSERT INTO presta VALUES
(1, 1, '2019-06-05', '2019-06-15'),
(1, 2, '2019-05-17', '2019-06-01'),
(2, 4, '2019-06-11', '2019-06-21'),
(4, 2, '2019-06-04', '2019-06-29');

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;